#!/usr/bin/env python
# -*- coding: utf-8 -*-


"""
 * ------------------------------------------------------------------------
 * bmSearch
 * ------------------------------------------------------------------------
 * @license : GNU Affero General Public License Version 3 <http://www.gnu.org/licenses>
 * @author  : Pascal SALAUN 
 * @Website : http://www.bm-stats.org <http://www.bm-stats.org>
 * ------------------------------------------------------------------------
"""

# Native Python Lib/Class 
import os.path 
import sys

sys.path.insert(0 ,'/etc/bmSearch')
sys.path.insert(0 ,'/usr/share/bmSearch/inc')
sys.path.insert(0 ,'/usr/share/bmSearch/class')


from bmSearch import * 

if __name__ == '__main__': 
        """
        Main Programm
        """
        # If no kwargs set to init bmSearch(), the Programm will not store data in Elasticsearch
        # if you want to activate it  : action="storeToELK"
        # if you to stream a log file : method="stream"
        # if tou want to specify another logfile : file="/var/log/dudulle.log"
        
        p = bmSearch(action="storeToELK", method="file")


