#!/bin/bash


### Setting Postfix main.cf####
#

#Removing BM Stats PCRE Rules in postfix conf file
reloadPostfix=0

checkIfbmStats='dpkg -l bm-stats | grep -c ^ii'

if [ "checkIfbmStats" = "1" ] ; then
        reloadPostfix=1
        echo "Deleting line starting as header_checks= "
        echo "Don't worry, a backup is done !"
        sed -i"_"$(date +%Y%m%d-%H%M%S)"_by_bmSearch" '/^header_checks/d' /etc/postfix/main.cf

else
        
        reloadPostfix=1
        echo "Deleting line starting as header_checks= and as mime_header_checks="
        echo "Don't worry, a backup is done !"
        sed -i"_"$(date +%Y%m%d-%H%M%S)"_by_bmSearch" -e '/^header_checks/d' -e '/^mime_header_checks/d' /etc/postfix/main.cf
        
        rm -f /etc/postfix/BM_mime_header_checks
fi

if [ "$reloadPostfix" = "1" ]; then
        echo "Have to reload postfix"
        service postfix reload
fi

exit 0
